Oracle Linux 3 : openldap (ELSA-2007-0430)

Low Nessus Plugin ID 67514


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2007:0430 :

A updated openldap packages that fix a security flaw and a memory leak bug are now available for Red Hat Enterprise Linux 3.

This update has been rated as having low security impact by the Red Hat Security Response Team.

OpenLDAP is an open source suite of LDAP (Lightweight Directory Access Protocol) applications, libraries and development tools.

A flaw was found in the way OpenLDAP handled selfwrite access. Users with selfwrite access were able to modify the distinguished name of any user. Users with selfwrite access should only be able to modify their own distinguished name. (CVE-2006-4600)

A memory leak bug was found in OpenLDAP's ldap_start_tls_s() function.
An application using this function could result in an Out Of Memory (OOM) condition, crashing the application.

All users are advised to upgrade to this updated openldap package, which contains a backported fix and is not vulnerable to these issues.


Update the affected openldap packages.

See Also

Plugin Details

Severity: Low

ID: 67514

File Name: oraclelinux_ELSA-2007-0430.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/12/01

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.3

Vector: CVSS2#AV:A/AC:M/Au:S/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:openldap, p-cpe:/a:oracle:linux:openldap-clients, p-cpe:/a:oracle:linux:openldap-devel, p-cpe:/a:oracle:linux:openldap-servers, cpe:/o:oracle:linux:3

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2007/06/20

Vulnerability Publication Date: 2006/06/13

Reference Information

CVE: CVE-2006-4600

OSVDB: 28464

RHSA: 2007:0430